using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATRightObjectType")]
public partial class AtrightObjectType
{
    [Key]
    public int Id { get; set; }

    [StringLength(64)]
    public string Name { get; set; } = null!;

    [InverseProperty("ObjectTypeNavigation")]
    public virtual ICollection<Atright> Atrights { get; set; } = new List<Atright>();
}
